# Generated by Django 5.0.6 on 2024-05-30 17:16

from django.db import migrations


class Migration(migrations.Migration):

    dependencies = [
        ("inspection", "0002_initial"),
    ]

    operations = [
        migrations.RunSQL(
            """
            -- DROP VIEW inspection_service_tomap;
            CREATE OR REPLACE VIEW public.inspection_service_tomap AS
                SELECT DISTINCT (s.id),
                    i.id AS inspection_id,
                    organization_location.latitude,
                    organization_location.longitude,
                    organization_location.city_id,
                    s.service_type_id,
                    st.name AS service_type_name,
                    o.company_name,
                    o.cnpj,
                    i.situation,
                    i.situation AS questionarytype_result_id,
                    i.auto_inspection
                FROM inspection_inspection i
                    JOIN service_service s ON i.service_id = s.id
                    JOIN service_type st ON s.service_type_id = st.id
                    JOIN organization_organization o ON s.organization_id = o.id
                    JOIN (
                        SELECT DISTINCT ON (organization_id) *
                        FROM organization_location AS ol
                        ORDER BY organization_id DESC
                    ) organization_location ON organization_location.organization_id = o.id
                WHERE
                    i.status::text = 'accomplished'::text
                    AND i.deleted_at IS null
                    AND i.enabled IS true
                    AND s.deleted_at IS null
                    AND s.enabled IS true
                    AND o.enabled IS true
                    AND o.deleted_at IS null
                    AND organization_location.enabled IS true
                    AND organization_location.latitude IS NOT null
                    AND organization_location.longitude IS NOT null
                GROUP BY
                    i.id,
                    organization_location.latitude,
                    organization_location.longitude,
                    organization_location.city_id,
                    s.id,
                    s.service_type_id,
                    st.name,
                    o.company_name,
                    o.cnpj,
                    i.situation,
                    i.situation,
                    i.auto_inspection
                ORDER BY i.id DESC;
        """
        )
    ]
